petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCSPAISetEpsilon

Set the tolerance for the SPAI preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSPAISetEpsilon(PC pc,double epsilon1)

### Input Parameters

| pc | - the preconditioner
| eps | - epsilon (default .4)

Notes: Espilon must be between 0 and 1. It controls the quality of the approximation of M to the inverse of A. Higher values of epsilon lead to more work, more fill, and usually better preconditioners. In many cases the best choice of epsilon is the one that divides the total solution time equally between the preconditioner and the solver.

### See Also

PCSPAI, PCSetType()

Level:intermediate
Location:src/ksp/pc/impls/spai/ispai.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages